#include <stdio.h>

#define  wadPALETTE  0x40
#define  wadBARPICT  0x42
#define  wadTEXTURE  0x44 //currently unused by quake
#define  wadCONPICT  0x45

typedef struct
{
  long tableloc;
  long tablelen;
  long startloc;
} wad_t;

typedef struct
{
  long loc;
  long len;
  long dsize;
  char type;
  char compression;
  char name[16];
} wadentry_t;

extern wad_t wad;
extern wadentry_t wadentry;

void openwad(int e);
void showwadmenu(int showE, int curE);
int selectwadentry(int def);
int findwad(char *filename);

